layer_add {keras} | R Documentation

## Layer that adds a list of inputs.

### Description

It takes as input a list of tensors, all of the same shape, and returns a single tensor (also of the same shape).

### Usage

    layer_add(inputs, batch_size = NULL, dtype = NULL, name = NULL,
      trainable = NULL, weights = NULL)

### Arguments

`inputs` | A list of input tensors (at least 2).
`batch_size` | Fixed batch size for layer
`dtype` | The data type expected by the input, as a string (`float32`, `float64`, `int32`...)
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Value

A tensor, the sum of the inputs.

### See Also

Other merge layers: `layer_average`, `layer_concatenate`, `layer_dot`, `layer_maximum`, `layer_minimum`, `layer_multiply`, `layer_subtract`

[Package keras version 2.2.4 Index]